*{
    margin: 0px;
    padding: 0px;
}

html, body{
    width: 100%;
    height: 100%;
    background: #f2f2f2;
}

.clear{
    float: none;
    clear: all;
}

.main {
    width: 100%;
    height: 100%;
    max-width: 400px;
    margin: 0 auto 20px;
}

.header {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 30%;
    justify-content: center;
    align-items: center;
    background-color: #fff;
}

.logoArea {
    display: flex;
    width: 100%;
    height: 50%;
    align-items: center;
    justify-content: center;
}

.logo {
    height: 85%;
    margin-top: 3%;
}

.shopArea {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 30%;
    align-items: center;
    justify-content: center;
}

.shopName {
    width: 80%;
    text-align: center;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    font-size: 16px;
}

.shopId {
    display: flex;
    justify-content: center;
    align-items: center;
}

.mac {
    margin: 5px;
}

.statusArea {
    display: flex;
    margin: 5px 2px;
    justify-content: center;
    align-items: center;
}

.statusImg {
    width: 15px;
    height: 15px;
}

.paramArea {
    display: flex;
    width: 100%;
    height: 20%;
    justify-content: center;
    align-items: center;
    background-color: #fff;
    border-top: 1px solid #f5f5f5;
}

.paramItem {
    height: 20px;
    margin: 5px;
    padding: 2px 5px;
    color: #fff;
    font-size: 12px;
    border-radius: 4px;
    text-align: center;
    line-height: 20px;
}

.fileArea {
    width: 100%;
    height: 60%;
    overflow-y: scroll;
}

.file {
    display: flex;
    flex-direction: column;
    width: 90%;
    height: 265px;
    margin: 20px auto;
    background-color: #fff;
    border-radius: 8px;
}

.fileContent {
    display: flex;
    width: 90%;
    height: 100px;
    padding: 0 5%;
    justify-content: center;
    align-items: center;
    border-bottom: 2px solid #f5f5f5;
}

.fileImg {
    width: 50px;
    height: 44px;
    margin-right: 15px;
}

.fileContentText {
    display: flex;
    flex-direction: column;
    width: 100%;
    justify-content: flex-start;
    align-items: flex-start;
}

.fileName {
    display: -webkit-box;
    overflow: hidden;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    -ms-text-overflow: ellipsis;
    text-overflow: ellipsis;
    word-break: break-all;
}

.filePages {
    margin-top: 10px;
    font-size: 14px;
    color: #9b9ba0;
}

.fileRange,
.fileCopies {
    display: flex;
    flex-direction: row;
    width: 90%;
    height: 55px;
    padding: 0 5%;
    align-items: center;
    font-size: 16px;
    border-bottom: 2px solid #f5f5f5;
}

.parameterTitle {
    width: 50%;
}

.fileParameter {
    display: flex;
    flex-direction: row;
    width: 50%;
    align-items: center;
    justify-content: center;
}

.parameterInput {
    display: flex;
    flex-direction: row;
    width: 50%;
    height: 30px;
    margin: 0 10px;
    justify-content: center;
    align-items: center;
    border: 1px solid #ebebeb;
    border-radius: 4px;
}

.parameterInput > input {
    width: 100%;
    height: 100%;
    text-align: center;
    vertical-align: middle;
    color: #0070ed;
    border: none;
    font-size: 16px;
    font-weight: bold;
}

input:focus {
    outline: none;
    border: none;
}

.fileParameter > button {
    display: flex;
    flex-direction: row;
    width: 30px;
    height: 30px;
    margin: 0;
    padding: 0;
    justify-content: center;
    align-items: center;
    font-size: 25px;
    border: 1px solid #ebebeb;
    color: #0070ed;
    background: none;
}

.fileOperate {
    display: flex;
    flex-direction: row;
    height: 55px;
}

.fileDelete,
.filePreview {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #ff4500;
}

/*.fileDelete {
    border-right: 1px solid #f5f5f5;
}*/

.filePreview {
    position: relative;
    border-left: 1px solid #f5f5f5;
    color: #0070ed;
}

.deleteImg {
    width: 20px;
    height: 20px;
    margin-right: 10px;
}

.previewImg {
    width: 25px;
    height: 15px;
    margin-right: 10px;
}

.preview {
    position: absolute;
    width: 100%;
    height: 100%;
}

.add {
    display: flex;
    flex-direction: column;
    width: 90%;
    height: 150px;
    margin: 20px auto;
    background-color: #fff;
    border-radius: 8px;
    align-items: center;
    justify-content: center;
}

.addImg {
    width: 15%;
    margin: 0 5px;
}

.addType {
    display: flex;
    width: 60%;
    margin-top: 15px;
    justify-content: center;
    align-items: center;
}

.footer {
    display: flex;
    width: 100%;
    height: 10%;
    background-color: #fff;
}

.account {
    display: flex;
    flex-direction: column;
    width: 70%;
    height: 100%;
    margin-left: 15px;
    justify-content: center;
    line-height: 1.5;
}

#price,
#pages,
#money {
    color: #0070ed;
    font-size: 16px;
    font-weight: bold;
}

.pay {
    display: flex;
    width: 30%;
    height: 100%;
    align-items: center;
    justify-content: center;
    background-color: #0070ed;
    color: #fff;
    font-size: 18px;
}

#fileUpload {
    display: none;
}


.layui-m-layerbtn {
    background-color: #0070ed;
}